---
layout: default
title: GitLab Pricing
description: "See the options to self-host GitLab or use GitLab.com."
canonical_path: "/pricing/"
suppress_header: true
extra_css:
  - gitlab-com.css
  - pricing.css
extra_js:
  - faq.js
  - tabs.js
---

-# HARK;GENERATED CONTENT BELOW!
-# The below block is generated by data from /data/pricing.yml file.
-# This is where you will want to look to edit the content of the page.

.tab-container
  .tabs-wrapper
    %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg", alt: "Gitlab hero border pattern left svg" }
    %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg", alt: "Gitlab hero border pattern right svg" }
    %ul.pricing-tabs.container{ role: "tablist"}
      %li.pricing-tab--saas.active{ role: "presentation" }
        %a{ href: '#gitlab-com', "data-toggle" => "tab", "aria-controls" => "gitlab-com", role: "tab" }
          = partial "includes/icons/gitlab-com-icon.svg"
          .tab-info
            %p.tab-title GitLab.com
            %p SaaS offering hosted by GitLab
      %li.pricing-tab--self-managed{ role: "presentation" }
        %a{ href: '#self-managed', "data-toggle" => "tab", "aria-controls" => "self-managed", role: "tab" }
          = partial "includes/icons/self-managed-icon.svg"
          .tab-info
            %p.tab-title Self-Managed
            %p Host your own instance on-premises or in the public cloud

  .tab-content
    -# Start of Self-manage tab
    .tab-pane{ role: "tabpanel", id: "self-managed"}
      .pricing-options.pricing-options--self-managed.text-center
        .container
          .try-gitlab-free
            %h3 Try GitLab Ultimate risk-free for 30 days
            %p No credit card required.
            %a.btn.cta-btn.purple{ href: "/free-trial/self-managed/" }
              Free Trial

          .row.flex-row.plan-row
            - data.pricing.self_managed.prices.core_plan do |plan|
              .col-md-3
                .plan.plan--core
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                  .plan-actions
                    = link_to "Install", "/install/", class: "btn btn-pricing btn-self-managed"
                  = link_to "View More ", "#community-edition", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#community-edition.plan-item-list.list-unstyled
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_core == true && feature.pricing_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/self-managed/feature-comparison/", class: "all-features"

            - data.pricing.self_managed.prices.starter_plan do |plan|
              .col-md-3
                .plan.plan--starter
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to "Buy Now", "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a0ff6145d07001614efff26d15da", class: "btn btn-pricing btn-self-managed"
                  = link_to "View More ", "#enterprise-edition-starter", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#enterprise-edition-starter.plan-item-list.list-unstyled
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_core == false && feature.gitlab_starter == true && feature.pricing_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/self-managed/feature-comparison/", class: "all-features"

            - data.pricing.self_managed.prices.premium_plan do |plan|
              .col-md-3
                .plan.plan--premium
                  %h3.plan-name
                    = link_to plan.title, "/pricing/premium/"
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to "Buy Now", "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a0ff6145d07001614f0ca2796525", class: "btn btn-pricing btn-self-managed"
                    -# %br
                    -# = link_to "Free Trial", "/free-trial/", class: "btn btn-pricing btn-self-managed"
                  = link_to "View More ", "#enterprise-edition-premium", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#enterprise-edition-premium.plan-item-list.list-unstyled
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_core == false && feature.gitlab_starter == false && feature.gitlab_premium == true && feature.pricing_page == true)
                        %li.item-description
                          .triangle
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/self-managed/feature-comparison/", class: "all-features"

            - data.pricing.self_managed.prices.ultimate_plan do |plan|
              .col-md-3
                .plan.plan--ultimate
                  %h3.plan-name
                    = link_to plan.title, "/pricing/ultimate/"
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to "Buy Now", "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a0fe6145beb901614f137a0f1685", class: "btn btn-pricing btn-self-managed"
                  = link_to "View More ", "#enterprise-edition-ultimate", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#enterprise-edition-ultimate.plan-item-list.list-unstyled
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_core == false && feature.gitlab_starter == false && feature.gitlab_premium == false && feature.gitlab_ultimate == true && feature.pricing_page == true)
                        %li.item-description
                          .triangle
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/self-managed/feature-comparison/", class: "all-features"

      .contact-block.text-center
        %h2 Still have questions? Get in touch.
        = link_to "Contact Sales", "/sales/", class: "btn cta-btn purple margin-top20"

      = partial "includes/home/customer-logos-transparent"

      .content-container.animated.faq
        .container
          %h2.faq-title.text-center
            Frequently asked questions for self-managed
          .faq-holder.clearfix
            - size = (data.pricing.self_managed.questions.size / Float(2)).ceil
            - data.pricing.self_managed.questions.each_slice(size).to_a.each do |group|
              = partial "includes/layout/question_group", locals: { group: group }

    -# Start of GitLab.com tab
    .tab-pane.active{ role: "tabpanel", id: "gitlab-com"}
      .pricing-options.pricing-options--saas.text-center
        .container
        .container
          .try-gitlab-free
            %h3 Try GitLab.com Gold risk-free for 30 days
            %p No credit card required.
            %a.btn.cta-btn.purple{ href: "https://customers.gitlab.com/trials/new?gl_com=true", target: "_blank" }
              Free Trial

          .row.flex-row.plan-row
            - data.pricing.gitlab_com.prices.free_plan do |plan|
              .col-md-3
                .plan.plan--free
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#free-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#free-plan.plan-item-list.list-unstyled
                    %li.item-description
                      = plan.description
                    %li.item-description
                      = plan.support
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_core == true && feature.gitlab_com != false && feature.pricing_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/gitlab-com/feature-comparison/", class: "all-features"

            - data.pricing.gitlab_com.prices.bronze_plan do |plan|
              .col-md-3
                .plan.plan--bronze
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#bronze-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#bronze-plan.plan-item-list.list-unstyled
                    %li.item-description
                      = plan.description
                    %li.item-description
                      %strong
                        All features from Free and:
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_core == false && feature.gitlab_starter == true && feature.gitlab_com != false && feature.pricing_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/gitlab-com/feature-comparison/", class: "all-features"

            - data.pricing.gitlab_com.prices.silver_plan do |plan|
              .col-md-3
                .plan.plan--silver
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#silver-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#silver-plan.plan-item-list.list-unstyled
                    %li.item-description
                      = plan.description
                    %li.item-description
                      %strong
                        All features from Bronze and:
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_starter == false && feature.gitlab_premium == true && feature.gitlab_com != false && feature.pricing_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/gitlab-com/feature-comparison/", class: "all-features"

            - data.pricing.gitlab_com.prices.gold_plan do |plan|
              .col-md-3
                .plan.plan--gold
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#gold-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#gold-plan.plan-item-list.list-unstyled
                    %li.item-description
                      = plan.description
                    %li.item-description
                      %strong
                        All features from Silver and:
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_starter == false && feature.gitlab_premium == false && feature.gitlab_ultimate == true && feature.gitlab_com != false && feature.pricing_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/gitlab-com/feature-comparison/", class: "all-features"

      .contact-block.text-center
        %h2 Still have questions? Get in touch.
        = link_to "Contact Sales", "/sales/", class: "btn cta-btn purple margin-top20"

      = partial "includes/home/customer-logos-transparent"

      .content-container.animated.faq
        .container
          %h2.faq-title.text-center
            %a{ :name => "faq" }
            Frequently asked questions for GitLab.com
          .faq-holder.clearfix
            - size = (data.pricing.gitlab_com.questions.size / Float(2)).ceil
            - data.pricing.gitlab_com.questions.each_slice(size).to_a.each_with_index do |group, i|
              - if (i == 1)
                = partial "includes/layout/question_group_with_yield", locals: { group: group } do
                  %li.faq-item
                    .faq-inner-item
                      %a.faq-question.js-faq-question{ href: "#" }
                        What features do not apply to GitLab.com?
                        %i.fa.fa-angle-down.pull-right
                      .faq-answer
                        %ul
                          - data.features.features.each do |feature|
                            - if (feature.gitlab_com == false && (feature.gitlab_core == true || feature.gitlab_starter == true || feature.gitlab_premium == true || feature.gitlab_ultimate == true))
                              %li
                                = feature.title
                                - if (feature.description != "" && feature.description != nil)
                                  %i.fa.fa-info-circle.info-icon{"title" => feature.description, "data-toggle" => "tooltip", "data-placement" => "top"}
              - else
                = partial "includes/layout/question_group", locals: { group: group }
